SessionUtil (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.asl

## Class SessionUtil

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.asl.SessionUtil

-     public class SessionUtil
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONNECTION_SOURCE`
    `static String` | `CURRENT_SPD_QUERY`
    `static String` | `EJB_OCCURENCE`
    `static String` | `EJB_OCCURRENCES_JOB`
    `static String` | `EJB_RESULT_ROW`
    `static String` | `EJB_TAXON_ROW`
    `static String` | `EJB_TAXONOMY`
    `static String` | `EJB_TAXONOMY_JOB`
    `static String` | `ENTITY_FACTORY`
    `protected static org.apache.log4j.Logger` | `logger`
    `static String` | `SEARCH_SESSION`
    `static String` | `SPECIES_SERVICE`
    `static String` | `TAXONOMY_OCCURRENCE`
    `static String` | `USERNAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.gcube.application.framework.core.session.ASLSession` | `getAslSession(javax.servlet.http.HttpSession httpSession)`
    `static OccurrenceJobPersistence` | `getCurrentDaoOccurrencesJob(org.gcube.application.framework.core.session.ASLSession session)`
    `static TaxonomyJobPersistence` | `getCurrentDAOTaxonomyJob(org.gcube.application.framework.core.session.ASLSession session)`
    `static OccurrenceRowPersistence` | `getCurrentEJBOccurrence(org.gcube.application.framework.core.session.ASLSession session)`
    `static ResultRowPersistence` | `getCurrentEJBResultRow(org.gcube.application.framework.core.session.ASLSession session)`
    `static TaxonomyRowPersistence` | `getCurrentEJBTaxonomyItem(org.gcube.application.framework.core.session.ASLSession session)`
    `static TaxonRowPersistence` | `getCurrentEJBTaxonRow(org.gcube.application.framework.core.session.ASLSession session)`
    `static FetchingSession<Occurrence>` | `getCurrentOccurrenceSession(org.gcube.application.framework.core.session.ASLSession session)`
    `static String` | `getCurrentQuery(org.gcube.application.framework.core.session.ASLSession aslSession)`
    `static FetchingSession<? extends FetchingElement>` | `getCurrentSearchSession(org.gcube.application.framework.core.session.ASLSession session)`
    `static javax.persistence.EntityManagerFactory` | `getEntityManagerFactory(org.gcube.application.framework.core.session.ASLSession session)`
    `static SpeciesService` | `getService(org.gcube.application.framework.core.session.ASLSession session)`
    `static void` | `setCurrentDAOTaxonomyJob(org.gcube.application.framework.core.session.ASLSession session, TaxonomyJobPersistence taxonomyJobPeristence)`
    `static void` | `setCurrentEJBOccurrence(org.gcube.application.framework.core.session.ASLSession session, OccurrenceRowPersistence occurrenceRowPersistence)`
    `static void` | `setCurrentEJBOccurrencesJob(org.gcube.application.framework.core.session.ASLSession session, OccurrenceJobPersistence occurrenceJobPersistence)`
    `static void` | `setCurrentEJBResultRow(org.gcube.application.framework.core.session.ASLSession session, ResultRowPersistence resultRowPersistence)`
    `static void` | `setCurrentEJBTaxonomyItem(org.gcube.application.framework.core.session.ASLSession session, TaxonomyRowPersistence taxonomyItemDAO)`
    `static void` | `setCurrentEJBTaxonRow(org.gcube.application.framework.core.session.ASLSession session, TaxonRowPersistence taxonRowPersistence)`
    `static void` | `setCurrentOccurrenceSession(org.gcube.application.framework.core.session.ASLSession session, FetchingSession<Occurrence> searchSession)`
    `static void` | `setCurrentQuery(org.gcube.application.framework.core.session.ASLSession aslSession, String lastQuery)`
    `static void` | `setCurrentSearchSession(org.gcube.application.framework.core.session.ASLSession session, FetchingSession<? extends FetchingElement> searchSession)`
    `static void` | `setEntityManagerFactory(org.gcube.application.framework.core.session.ASLSession session, javax.persistence.EntityManagerFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPECIES_SERVICE

          public static final String SPECIES_SERVICE

      See Also:
        Constant Field Values

    - #### SEARCH_SESSION

          public static final String SEARCH_SESSION

      See Also:
        Constant Field Values

    - #### TAXONOMY_OCCURRENCE

          public static final String TAXONOMY_OCCURRENCE

      See Also:
        Constant Field Values

    - #### CONNECTION_SOURCE

          public static final String CONNECTION_SOURCE

      See Also:
        Constant Field Values

    - #### USERNAME_ATTRIBUTE

          public static final String USERNAME_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ENTITY_FACTORY

          public static final String ENTITY_FACTORY

      See Also:
        Constant Field Values

    - #### EJB_RESULT_ROW

          public static final String EJB_RESULT_ROW

      See Also:
        Constant Field Values

    - #### EJB_TAXON_ROW

          public static final String EJB_TAXON_ROW

      See Also:
        Constant Field Values

    - #### EJB_OCCURENCE

          public static final String EJB_OCCURENCE

      See Also:
        Constant Field Values

    - #### EJB_TAXONOMY

          public static final String EJB_TAXONOMY

      See Also:
        Constant Field Values

    - #### EJB_OCCURRENCES_JOB

          public static final String EJB_OCCURRENCES_JOB

      See Also:
        Constant Field Values

    - #### EJB_TAXONOMY_JOB

          public static final String EJB_TAXONOMY_JOB

      See Also:
        Constant Field Values

    - #### CURRENT_SPD_QUERY

          public static final String CURRENT_SPD_QUERY

      See Also:
        Constant Field Values

    - #### logger

          protected static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### SessionUtil

          public SessionUtil()

  - ### Method Detail

    - #### getEntityManagerFactory

          public static javax.persistence.EntityManagerFactory getEntityManagerFactory(org.gcube.application.framework.core.session.ASLSession session)

    - #### setEntityManagerFactory

          public static void setEntityManagerFactory(org.gcube.application.framework.core.session.ASLSession session,
                                     javax.persistence.EntityManagerFactory factory)

    - #### getService

          public static SpeciesService getService(org.gcube.application.framework.core.session.ASLSession session)
                                           throws Exception

      Throws:
        `Exception`

    - #### getCurrentSearchSession

          public static FetchingSession<? extends FetchingElement> getCurrentSearchSession(org.gcube.application.framework.core.session.ASLSession session)

    - #### setCurrentSearchSession

          public static void setCurrentSearchSession(org.gcube.application.framework.core.session.ASLSession session,
                                     FetchingSession<? extends FetchingElement> searchSession)

    - #### getCurrentOccurrenceSession

          public static FetchingSession<Occurrence> getCurrentOccurrenceSession(org.gcube.application.framework.core.session.ASLSession session)

    - #### setCurrentOccurrenceSession

          public static void setCurrentOccurrenceSession(org.gcube.application.framework.core.session.ASLSession session,
                                         FetchingSession<Occurrence> searchSession)

    - #### getAslSession

          public static org.gcube.application.framework.core.session.ASLSession getAslSession(javax.servlet.http.HttpSession httpSession)

    - #### setCurrentEJBResultRow

          public static void setCurrentEJBResultRow(org.gcube.application.framework.core.session.ASLSession session,
                                    ResultRowPersistence resultRowPersistence)

    - #### getCurrentEJBResultRow

          public static ResultRowPersistence getCurrentEJBResultRow(org.gcube.application.framework.core.session.ASLSession session)

    - #### setCurrentEJBTaxonRow

          public static void setCurrentEJBTaxonRow(org.gcube.application.framework.core.session.ASLSession session,
                                   TaxonRowPersistence taxonRowPersistence)

    - #### getCurrentEJBTaxonRow

          public static TaxonRowPersistence getCurrentEJBTaxonRow(org.gcube.application.framework.core.session.ASLSession session)

    - #### setCurrentEJBOccurrence

          public static void setCurrentEJBOccurrence(org.gcube.application.framework.core.session.ASLSession session,
                                     OccurrenceRowPersistence occurrenceRowPersistence)

    - #### getCurrentEJBOccurrence

          public static OccurrenceRowPersistence getCurrentEJBOccurrence(org.gcube.application.framework.core.session.ASLSession session)

    - #### getCurrentEJBTaxonomyItem

          public static TaxonomyRowPersistence getCurrentEJBTaxonomyItem(org.gcube.application.framework.core.session.ASLSession session)

    - #### setCurrentEJBTaxonomyItem

          public static void setCurrentEJBTaxonomyItem(org.gcube.application.framework.core.session.ASLSession session,
                                       TaxonomyRowPersistence taxonomyItemDAO)

    - #### setCurrentEJBOccurrencesJob

          public static void setCurrentEJBOccurrencesJob(org.gcube.application.framework.core.session.ASLSession session,
                                         OccurrenceJobPersistence occurrenceJobPersistence)

    - #### getCurrentDaoOccurrencesJob

          public static OccurrenceJobPersistence getCurrentDaoOccurrencesJob(org.gcube.application.framework.core.session.ASLSession session)

    - #### getCurrentDAOTaxonomyJob

          public static TaxonomyJobPersistence getCurrentDAOTaxonomyJob(org.gcube.application.framework.core.session.ASLSession session)

    - #### setCurrentDAOTaxonomyJob

          public static void setCurrentDAOTaxonomyJob(org.gcube.application.framework.core.session.ASLSession session,
                                      TaxonomyJobPersistence taxonomyJobPeristence)

    - #### setCurrentQuery

          public static void setCurrentQuery(org.gcube.application.framework.core.session.ASLSession aslSession,
                             String lastQuery)

      Parameters:
        `aslSession` -
        `lastQuery` -

    - #### getCurrentQuery

          public static String getCurrentQuery(org.gcube.application.framework.core.session.ASLSession aslSession)

      Parameters:
        `aslSession` -

Copyright © 2013. All Rights Reserved.